Summary:	SELinux library and simple utilities
Name:		libselinux
Group:		System Environment/Libraries
License:	Public domain (uncopyrighted)
Version:	1.24
Release:	3
Source0:	http://www.nsa.gov/selinux/archives/%{name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

libselinux provides an API for SELinux applications to get and set
process and file security contexts and to obtain security policy
decisions.  Required for any applications that use the SELinux API.

%files
  %attr(0444,root,root)
  %doc %{_mandir}/man8/*
  %attr(0555,root,root)		/%{_lib}/libselinux.so.1
  %attr(0510,root,admin)	%{_sbindir}/*

%package devel
Summary:	Header files and libraries used to build SELinux
Group:		Development/Libraries
Requires:	libselinux = %{version}-%{release}

%description devel
The selinux-devel package contains the static libraries and header files
needed for developing SELinux applications.

%files devel
  %defattr(-,root,root)
  %doc				%{_mandir}/man3/*
  %attr(0444,root,root)		%{_includedir}/selinux/*.h
  %attr(0555,root,root)		%{_libdir}/libselinux.a
  %attr(0555,root,root)		%{_libdir}/libselinux.so

%prep
%setup -q
%build
  make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_includedir} 
  mkdir -p $RPM_BUILD_ROOT/%{_bindir} 

  make DESTDIR="$RPM_BUILD_ROOT" install

  # Put 64bit libs where they belong.
%ifarch x86_64
  mkdir $RPM_BUILD_ROOT/%{_lib}
  mkdir $RPM_BUILD_ROOT/%{_libdir}
  mv $RPM_BUILD_ROOT/lib/*            $RPM_BUILD_ROOT/%{_lib}
  mv $RPM_BUILD_ROOT/%{_prefix}/lib/* $RPM_BUILD_ROOT/%{_libdir}

  pushd $RPM_BUILD_ROOT/%{_libdir}
    rm -f libselinux.so
    ln -s ../../lib64/libselinux.so.1 libselinux.so
  popd
%endif

%post -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 1.24, Release 3
  - Upgrade to latest

* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.23.10, Release 2
  - x86_64 support.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.23.10, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
